import React, { useState, useEffect } from 'react';
import UsersComponent from '../UsersComponent';
import CreateNewUser from '../CreateNewUser';
import './main.css';
import Footer from '../Footer';


let usersArr = JSON.parse(localStorage.getItem('users')) || [];

const Actions = () => {
  const [users, setUsers] = useState(usersArr);
  useEffect(() => {
    localStorage.setItem('users', JSON.stringify(usersArr));
  }, [users])

  const deleteUser = (id) => {
    usersArr = usersArr.filter(us => us.id !== id);
    setUsers(usersArr);
    
  }
  return { users, setUsers, deleteUser }
}




const Main = ({ setUserPopup, handleSwitchPopup }) => {
  
   
  const {users, setUsers, deleteUser} = Actions();

  

  return (
    <main>
      <div className="container">
        <div className="users_wrapper">
          <CreateNewUser usersArr={usersArr} setUsers={setUsers} />
          <UsersComponent
            users={users}
            usersArr={usersArr}
            setUsers={setUsers} 
            deleteUser={deleteUser}
            setUserPopup={setUserPopup}
            handleSwitchPopup={handleSwitchPopup}
          />
        </div>
        <Footer users={users}/>
      </div>
    </main>
  );
}

export default Main;