import React from 'react';
import UserCard from '../../components/UserCard';
import Search from '../../components/Search'
import './usersComponent.css';

const UsersComponent = ({ usersArr, users, setUsers, deleteUser, setUserPopup, handleSwitchPopup }) => {
  
  
 
  let listOfUsers = users.map(user =>
    <UserCard
      key={user.id}
      user={user}
      deleteUser={deleteUser}
      setUserPopup={setUserPopup}
      handleSwitchPopup={handleSwitchPopup}
    />);

  return (
    <section className="users_box">
      <Search usersArr={usersArr} setUsers={setUsers}/>
      <div className="users_component">
        {listOfUsers}
      </div>
    </section>
  );
}

export default UsersComponent;